#ifndef AUDIOBUFFER_H_INCLUDED
#define AUDIOBUFFER_H_INCLUDED

#include <stdlib.h>

/**
 * Small class for passing around buffers of audio data.  Does not
 * specify a format, so the responsibility is on the programmer to
 * know what the datatype of the buffer really is.
 */
class AudioBuffer
{
public:
	/**
	 * Creates an audio buffer of @param length bytes.
	 */
	AudioBuffer( size_t length );

	/**
	 * Deletes the audio buffer, freeing the data.
	 */
	~AudioBuffer();

	/**
	 * Returns a pointer to the audio data.
	 */
	void *getData() const { return data; }

	/**
	 * Returns the size of the buffer.
	 */
	size_t getSize() const { return size; }

private:
	void *data;
	size_t size;
};

#endif // AUDIOBUFFER_H_INCLUDED
