#ifndef DIALPAD_H_INCLUDED
#define DIALPAD_H_INCLUDED

#include <qwidget.h>

class DialSet;
class DspAction;
class QButtonGroup;

class DialPad : public QWidget
{
	Q_OBJECT
public:
	DialPad( DialSet *initset, QWidget *parent = 0, const char *name = 0 );
	~DialPad();

	void setDialSet( DialSet *newset );
	DialSet *getDialSet() { return curset; }
	void hitKey( long id );

	void showKeyCodes( bool showcodes );

	static QString getKeyCode( long id );

signals:
	void keyPressed( long );
	void playSound( DspAction * );

private slots:
	void buttonPressed( int id );
	void buttonReleased( int );

private:
	DspAction *curtone;
	DialSet *curset;
	QButtonGroup *buttons;

	void renameKeys();
};

#endif // DIALPAD_H_INCLUDED
