#ifndef DSPCONTROL_H_INCLUDED
#define DSPCONTROL_H_INCLUDED

#include <qqueue.h>

class DspOut;
class DspAction;

class DspControl
{
public:
	DspControl( DspOut *dspdev );
	~DspControl();

	void setDefaultAction( DspAction *action );
	void queueAction( DspAction *action );
	bool queueEmpty() { return actionq.isEmpty(); }
	void nukeQueue();

	void doTick();

private:
	QQueue<DspAction> actionq;
	AudioBuffer *actionbuf;
	size_t actionbufpos;
	DspAction *defaction;
	DspOut *dspout;

	void fillBuffer();
};

#endif // DSPCONTROL_H_INCLUDED
