#include <qlayout.h>
#include <qlabel.h>
#include <qlineedit.h>
#include <qpushbutton.h>
#include <phonelistedit.h>

PhoneListEdit::PhoneListEdit( QWidget *parent, const char *name )
	: QWidget( parent, name )
{
	setCaption( "KRad -- Edit QuickDial Entry" );

	QGridLayout *grid = new QGridLayout( this, 2, 3 );

	QLabel *numlabel = new QLabel( "Number: ", this );
	grid->addWidget( numlabel, 0, 0 );

	number = new QLineEdit( this );
	connect( number, SIGNAL( returnPressed() ), this, SIGNAL( okClicked() ) );
	grid->addMultiCellWidget( number, 0, 0, 1, 3 );

	QLabel *comlabel = new QLabel( "Comment: ", this );
	grid->addWidget( comlabel, 1, 0 );

	comment = new QLineEdit( this );
	connect( comment, SIGNAL( returnPressed() ), this, SIGNAL( okClicked() ) );
	grid->addMultiCellWidget( comment, 1, 1, 1, 3 );

	QPushButton *okay = new QPushButton( "Okay", this );
	connect( okay, SIGNAL( clicked() ), this, SIGNAL( okClicked() ) );
	grid->addWidget( okay, 2, 2 );

	QPushButton *cancel = new QPushButton( "Cancel", this );
	connect( cancel, SIGNAL( clicked() ), this, SIGNAL( cancelClicked() ) );
	grid->addWidget( cancel, 2, 3 );

	resize( 375, 75 );
}

PhoneListEdit::~PhoneListEdit()
{
}

QString PhoneListEdit::getNumber()
{
	return number->text();
}

QString PhoneListEdit::getComment()
{
	return comment->text();
}

void PhoneListEdit::setNumber( const QString &newnumber )
{
	number->setText( newnumber );
}

void PhoneListEdit::setComment( const QString &newcomment )
{
	comment->setText( newcomment );
}

